
local fn = vim.fn
local utils = require("julz.utils")

vim.g.is_win = (utils.has("win32") or utils.has("win64")) and true or false
vim.is_linux = (utils.has("unix") and (not utils.has("macunix"))) and true or false
vim.g.is_bsd = (jit.os == "BSD") and true or false

if vim.g.is_bsd then
  print("OS is BSD. nvim version:" .. utils.get_nvim_version())
end

if vim.g.is_win then
  print("OS is Windows. nvim version:" .. utils.get_nvim_version())
end

if vim.g.is_linux then
  print("OS is Linux. nvim version:" .. utils.get_nvim_version())
end


