
-- This file can be loaded by calling `lua require('plugins')` from your init.vim

-- Only required if you have packer configured as `opt`
vim.cmd [[packadd packer.nvim]]

return require('packer').startup(function(use)
  -- Packer can manage itself
  use 'wbthomason/packer.nvim'

  use {
    'nvim-telescope/telescope.nvim', tag = '0.1.0',
    -- or                            , branch = '0.1.x',
    requires = { {'nvim-lua/plenary.nvim'} }
  }

  --  use({
  --   'rose-pine/neovim',
  --    as = 'rose-pine',
  --    config = function()
  --      vim.cmd('colorscheme rose-pine')
  --    end
  --  })

  use 'ellisonleao/gruvbox.nvim'
  use({
    'nvim-tree/nvim-tree.lua',
  })
  use 'nvim-tree/nvim-web-devicons'
  use 'nvim-lualine/lualine.nvim'

  --use 'nvim-treesitter/nvim-treesitter'
  --use( 'nvim-treesitter/nvim-treesitter', {run = ':TSUpdate'} )

  use( 'tpope/vim-fugitive')

  use {
    "williamboman/mason.nvim",
    "williamboman/mason-lspconfig.nvim",
    "neovim/nvim-lspconfig"
  }

  use( 'theprimeagen/harpoon' )
  use( 'mbbill/undotree' )


end)

